from flask import Flask, request, redirect, url_for, render_template
import sqlite3

app = Flask(__name__)

# Initialize the database
def init_db():
    conn = sqlite3.connect('database.db')
    c = conn.cursor()
    c.execute('''CREATE TABLE IF NOT EXISTS proposals
                 (id INTEGER PRIMARY KEY, title TEXT, body TEXT)''')
    conn.commit()
    conn.close()

init_db()

@app.route('/')
def index():
    conn = sqlite3.connect('database.db')
    c = conn.cursor()
    c.execute('SELECT id, title FROM proposals')
    proposals = c.fetchall()
    conn.close()
    return render_template('index.html', proposals=proposals)

@app.route('/submit', methods=['GET', 'POST'])
def submit():
    if request.method == 'POST':
        title = request.form['title']
        body = request.form['body']
        conn = sqlite3.connect('database.db')
        c = conn.cursor()
        c.execute('INSERT INTO proposals (title, body) VALUES (?, ?)', (title, body))
        conn.commit()
        conn.close()
        return redirect(url_for('index'))
    return render_template('submit.html')

@app.route('/proposal/<int:proposal_id>')
def proposal(proposal_id):
    conn = sqlite3.connect('database.db')
    c = conn.cursor()
    c.execute('SELECT title, body FROM proposals WHERE id = ?', (proposal_id,))
    proposal = c.fetchone()
    conn.close()
    return render_template('proposal.html', proposal=proposal)

if __name__ == '__main__':
    app.run(debug=True)