class Proposal:
    def __init__(self, text):
        self.text = text
        self.votes = {
            "block": 0,
            "stand_aside": 0,
            "reservations": 0,
            "agree": 0
        }

    def add_vote(self, vote_type):
        if vote_type in self.votes:
            self.votes[vote_type] += 1
        else:
            print("Invalid vote type. Please use 'block', 'stand_aside', 'reservations', or 'agree'.")

    def count_votes(self):
        return self.votes

    def display_results(self):
        print(f"Proposal: {self.text}")
        for vote_type, count in self.votes.items():
            print(f"{vote_type.capitalize()}: {count}")

# Example usage
proposal = Proposal("Implement a new feature in the system")

# Adding votes
proposal.add_vote("agree")
proposal.add_vote("reservations")
proposal.add_vote("stand_aside")
proposal.add_vote("block")
proposal.add_vote("agree")

# Displaying results
proposal.display_results()